<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM). Copyright 2009, Onpubco.
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.11
 */
class OnpubWidgetImages
{
  private $heading;
  private $imageID;
  private $images;
  private $website;

  function __construct($heading, $imageID, $images, $website = NULL)
  {
    $this->heading = $heading;
    $this->imageID = $imageID;
    $this->images = $images;
    $this->website = $website;
  }

  function display()
  {
    $image = NULL;

    if (sizeof($this->images))
    {
      en ('<b>' . $this->heading . '</b><br>');

      if ($this->imageID)
      {
        en ('<select name="imageID" size="1">');

        en ('<option value="">None</option>');

        for ($i = 0; $i < sizeof($this->images); $i++)
        {
          if ($this->images[$i]->ID == $this->imageID)
          {
            $image = $this->images[$i];
            en ('<option value="' . $this->images[$i]->ID
              . '" selected="selected">'
              . strip_tags($this->images[$i]->fileName) . '</option>');
          }
          else
          {
            en ('<option value="' . $this->images[$i]->ID . '">'
              . strip_tags($this->images[$i]->fileName) . '</option>');
          }
        }

        en ('</select>');

        if ($this->website && $image)
        {
          if ($this->website->imagesURL)
          {
            if (@fopen(addTrailingSlash($this->website->imagesURL)
              . rawurlencode($image->fileName), 'r'))
            {
              en ('<div style="padding-top: 0.25em;"><a href="index.php?onpub=EditImage&amp;ID='
                . $image->ID . '"><img src="'
                . addTrailingSlash($this->website->imagesURL) . $image->fileName
                  . '" alt="Edit" title="Edit" border="0"></a></div>');
            }
            else
            {
              en (' <img src="gui/icons/picture_error.png" align="top" width="16" height="16" alt="'
                . addTrailingSlash($this->website->imagesURL)
                  . rawurlencode($image->fileName) . ' not found" title="'
                . addTrailingSlash($this->website->imagesURL)
                  . rawurlencode($image->fileName)
                  . ' not found"><br><span class="error">Make sure the Images URL of Website <a href="index.php?onpub=EditWebsite&amp;websiteID='
                . $this->website->ID . '">' . $this->website->name
                  . '</a> is setup correctly.</span>');
            }
          }
        }
      }
      else
      {
        en ('<select name="imageID" size="1">');

        en ('<option value="">None</option>');

        for ($i = 0; $i < sizeof($this->images); $i++)
        {
          en ('<option value="' . $this->images[$i]->ID . '">'
            . strip_tags($this->images[$i]->fileName) . '</option>');
        }

        en ('</select>');
      }
    }
  }
}
?>